Reply to form
Submit an answer to a pending form.
POST
/api/session/{sessionID}/form/{formID}/replyPath parameters
sessionIDstringrequiredformIDobjectrequiredRequest body
requiredapplication/jsonanswerForm.AnswerrequiredResponses
204<No Content>
400FormInvalidAnswerError | InvalidRequestError
Any of:
FormInvalidAnswerError
_tagstringrequiredAllowed:
FormInvalidAnswerErroridstringrequiredmessagestringrequiredInvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequired404SessionNotFoundError | FormNotFoundError
Any of:
FormNotFoundError
_tagstringrequiredAllowed:
FormNotFoundErroridstringrequiredmessagestringrequiredSessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequiredSessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequired409FormAlreadySettledError
_tagstringrequiredAllowed:
FormAlreadySettledErroridstringrequiredmessagestringrequiredRequest
curl -X POST "/api/session/string/form/%5Bobject%20Object%5D/reply" \
-H "Content-Type: application/json" \
-d '{
"answer": {}
}'const response = await fetch("/api/session/string/form/%5Bobject%20Object%5D/reply", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"answer": {}
})
});import requests
response = requests.post(
"/api/session/string/form/%5Bobject%20Object%5D/reply",
headers={
"Content-Type": "application/json"
},
json={
"answer": {}
},
)Response
<No Content>
{
"_tag": "FormInvalidAnswerError",
"id": "string",
"message": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}{
"_tag": "FormNotFoundError",
"id": "string",
"message": "string"
}{
"_tag": "FormAlreadySettledError",
"id": "string",
"message": "string"
}